// This is -*- C++ -*-
// $Id: rand1.cc,v 1.5 1998/09/14 04:47:42 trow Exp $

/* rand1.cc
 *
 * Copyright (C) 1998 EMC Capital Management, Inc.
 *
 * Developed by Jon Trowbridge <trow@emccta.com>.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */

#include <stdlib.h>
#include <iostream.h>
#include "Random.h"

main(int argc, char* argv[])
{
  int count = 0;

  if (argc == 2) 
    count = atoi(argv[1]);

  if (count <= 0)
    count = 100;

  Random rnd;

  for(int i=0;i<count;++i)
    cout << rnd.random_normal() << " ";
  cout << endl;

}


// $Id: rand1.cc,v 1.5 1998/09/14 04:47:42 trow Exp $
