// This is -*- C++ -*-
// $Id: matrix.h,v 1.2 1998/09/14 04:48:38 trow Exp $

/* matrix.h
 *
 * Copyright (C) 1998 EMC Capital Management, Inc.
 *
 * Developed by Jon Trowbridge <trow@emccta.com>.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */


#ifndef _INC_MATRIX_H
#define _INC_MATRIX_H

#include <iostream.h>

/*

  This pathetic matrix library makes no attempt to be complete, or even
  very good.

  We represent matrices in a fairly silly way.  The matrix
  
  a b
  c d

  Would be stored in a double array as: a,b,c,d
  
 */

void matrix_print(ostream& out, double*, int);
bool matrix_invert(double*, int);

#endif // _INC_MATRIX_H

// $Id: matrix.h,v 1.2 1998/09/14 04:48:38 trow Exp $
